### Function

# Ide text_iter_backward_paragraph_start

#### Declaration

    gboolean
    ide_text_iter_backward_paragraph_start (
      GtkTextIter* iter
    )

#### Description

Searches backwards until we find the beginning of a paragraph.

Available since: | 3.32

#### Parameters

`iter` | `GtkTextIter`
| A `GtkTextIter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if we are not at the beginning of the buffer; otherwise `FALSE`.